org.jbpm.services.task.impl

## Class TaskAttachmentServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskAttachmentServiceImpl

- All Implemented Interfaces:
    org.kie.internal.task.api.TaskAttachmentService

      public class TaskAttachmentServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskAttachmentService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskAttachmentServiceImpl()`
    `TaskAttachmentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addAttachment(long taskId, org.kie.api.task.model.Attachment attachment, org.kie.api.task.model.Content content)`
    `void` | `deleteAttachment(long taskId, long attachmentId)`
    `List<org.kie.api.task.model.Attachment>` | `getAllAttachmentsByTaskId(long taskId)`
    `org.kie.api.task.model.Attachment` | `getAttachmentById(long attachId)`
    `void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAttachmentServiceImpl

          public TaskAttachmentServiceImpl()

    - #### TaskAttachmentServiceImpl

          public TaskAttachmentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### addAttachment

          public long addAttachment(long taskId,
                                    org.kie.api.task.model.Attachment attachment,
                                    org.kie.api.task.model.Content content)

      Specified by:
        `addAttachment` in interface `org.kie.internal.task.api.TaskAttachmentService`

    - #### deleteAttachment

          public void deleteAttachment(long taskId,
                                       long attachmentId)

      Specified by:
        `deleteAttachment` in interface `org.kie.internal.task.api.TaskAttachmentService`

    - #### getAllAttachmentsByTaskId

          public List<org.kie.api.task.model.Attachment> getAllAttachmentsByTaskId(long taskId)

      Specified by:
        `getAllAttachmentsByTaskId` in interface `org.kie.internal.task.api.TaskAttachmentService`

    - #### getAttachmentById

          public org.kie.api.task.model.Attachment getAttachmentById(long attachId)

      Specified by:
        `getAttachmentById` in interface `org.kie.internal.task.api.TaskAttachmentService`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.